[metadata]
name = jaraco.collections
author = Jason R. Coombs
author_email = jaraco@jaraco.com
description = Collection objects similar to those in stdlib by jaraco
long_description = file:README.rst
url = https://github.com/jaraco/jaraco.collections
classifiers =
	Development Status :: 5 - Production/Stable
	Intended Audience :: Developers
	License :: OSI Approved :: MIT License
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3 :: Only

[options]
packages = find_namespace:
include_package_data = true
python_requires = >=3.7
install_requires =
	jaraco.text

[options.packages.find]
exclude =
	build*
	dist*
	docs*
	tests*

[options.extras_require]
testing =
	# upstream
	pytest >= 6
	pytest-checkdocs >= 2.4
	pytest-black >= 0.3.7; \
		# workaround for jaraco/skeleton#22
		python_implementation != "PyPy"
	pytest-cov
	pytest-mypy >= 0.9.1; \
		# workaround for jaraco/skeleton#22
		python_implementation != "PyPy"
	pytest-enabler >= 1.3
	pytest-ruff

	# local

docs =
	# upstream
	sphinx >= 3.5
	jaraco.packaging >= 9
	rst.linker >= 1.9
	furo
	sphinx-lint

	# tidelift
	jaraco.tidelift >= 1.4

	# local

[options.entry_points]
